Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ucp.model
Class UcpMetrics

    java.lang.Object
      ucp.model.UcpMetrics

    public class UcpMetrics

extends java.lang.Object

Class represents a table with UCP metrics. This table is used for all UCP model elements.

Constructor Summary
`UcpMetrics()`

Method Summary
`int` | `getComplexity()`
`int[]` | `getE()`
`double` | `getEf()`
`int` | `getEx(int index)`
`double` | `getHours()`
`double` | `getHoursPerUc()`
`double` | `getHoursSW()`
`double` | `getSchneiderwinters()`
`double` | `getSubCasesHours()`
`double` | `getSubCasesHoursSW()`
`double` | `getSubUCP()`
`int` | `getSubUUCP()`
`int[]` | `getT()`
`double` | `getTcf()`
`int` | `getTx(int index)`
`double` | `getUcp()`
`void` | `setComplexity(int complexity)`
`void` | `setE(int[] e)`
`void` | `setEf(double ef)`
`void` | `setEx(int index, int value)`
`void` | `setHours(double hours)`
`void` | `setHoursPerUc(double hoursPerUc)`
`void` | `setHoursSW(double hoursSW)`
`void` | `setSchneiderwinters(double schneiderwinters)`
`void` | `setSubCasesHours(double subCasesHours)`
`void` | `setSubCasesHoursSW(double subCasesHoursSW)`
`void` | `setSubUCP(double subUCP)`
`void` | `setSubUUCP(int subUUCP)`
`void` | `setT(int[] t)`
`void` | `setTcf(double tcf)`
`void` | `setTx(int index, int value)`
`void` | `setUcp(double ucp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UcpMetrics

    public UcpMetrics()

Method Detail

### setTx

    public void setTx(int index,
                      int value)

  Parameters:
    `index` -
    `value` -

### setEx

    public void setEx(int index,
                      int value)

  Parameters:
    `index` -
    `value` -

### getTx

    public int getTx(int index)

  Parameters:
    `index` -
  Returns:

### getEx

    public int getEx(int index)

  Parameters:
    `index` -
  Returns:

### getComplexity

    public int getComplexity()

  Returns:

### setComplexity

    public void setComplexity(int complexity)

  Parameters:
    `complexity` -

### getE

    public int[] getE()

  Returns:

### setE

    public void setE(int[] e)

  Parameters:
    `e` -

### getEf

    public double getEf()

  Returns:

### setEf

    public void setEf(double ef)

  Parameters:
    `ef` -

### getHours

    public double getHours()

  Returns:

### setHours

    public void setHours(double hours)

  Parameters:
    `hours` -

### getHoursPerUc

    public double getHoursPerUc()

  Returns:

### setHoursPerUc

    public void setHoursPerUc(double hoursPerUc)

  Parameters:
    `hoursPerUc` -

### getHoursSW

    public double getHoursSW()

  Returns:

### setHoursSW

    public void setHoursSW(double hoursSW)

  Parameters:
    `hoursSW` -

### getSchneiderwinters

    public double getSchneiderwinters()

  Returns:

### setSchneiderwinters

    public void setSchneiderwinters(double schneiderwinters)

  Parameters:
    `schneiderwinters` -

### getSubCasesHours

    public double getSubCasesHours()

  Returns:

### setSubCasesHours

    public void setSubCasesHours(double subCasesHours)

  Parameters:
    `subCasesHours` -

### getSubCasesHoursSW

    public double getSubCasesHoursSW()

  Returns:

### setSubCasesHoursSW

    public void setSubCasesHoursSW(double subCasesHoursSW)

  Parameters:
    `subCasesHoursSW` -

### getSubUUCP

    public int getSubUUCP()

  Returns:

### setSubUUCP

    public void setSubUUCP(int subUUCP)

  Parameters:
    `subUUCP` -

### getT

    public int[] getT()

  Returns:

### setT

    public void setT(int[] t)

  Parameters:
    `t` -

### getTcf

    public double getTcf()

  Returns:

### setTcf

    public void setTcf(double tcf)

  Parameters:
    `tcf` -

### getUcp

    public double getUcp()

  Returns:

### setUcp

    public void setUcp(double ucp)

  Parameters:
    `ucp` -

### getSubUCP

    public double getSubUCP()

  Returns:

### setSubUCP

    public void setSubUCP(double subUCP)

  Parameters:
    `subUCP` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD